MAPIClientLibraries 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- File List
- Globals

Functions
mapidump.c File Reference

Functions for displaying various data structures, mainly for debugging. More...

`#include "libmapi/libmapi.h"`
`#include "libmapi/libmapi_private.h"`

## Functions
_PUBLIC_ void | mapidump_appointment (struct mapi_SPropValue_array *properties, const char *id)
_PUBLIC_ void | mapidump_contact (struct mapi_SPropValue_array *properties, const char *id)
_PUBLIC_ void | mapidump_date_SPropValue (struct SPropValue lpProp, const char *label, const char *sep)
_PUBLIC_ void | mapidump_languages_list (void)
_PUBLIC_ void | mapidump_message (struct mapi_SPropValue_array *properties, const char *id, mapi_object_t *obj_msg)
_PUBLIC_ void | mapidump_message_summary (mapi_object_t *obj_message)
_PUBLIC_ void | mapidump_note (struct mapi_SPropValue_array *properties, const char *id)
_PUBLIC_ void | mapidump_PAB_entry (struct PropertyRow_r *aRow)
| Output a row of the public address book.
_PUBLIC_ void | mapidump_SPropValue (struct SPropValue lpProp, const char *sep)
| Output one property tag and value.
_PUBLIC_ void | mapidump_task (struct mapi_SPropValue_array *properties, const char *id)

## Detailed Description

Functions for displaying various data structures, mainly for debugging.

## Function Documentation

_PUBLIC_ void mapidump_appointment | ( | struct mapi_SPropValue_array * | properties,
|  | const char * | id
| ) |  |

This function dumps the properties relating to an appointment to standard output

The expected way to obtain the properties array is to use OpenMessage() to obtain the appointment object, then to use GetPropsAll() to obtain all the properties.

Parameters

  properties | array of appointment properties
  id | identification to display for the appointment (can be NULL)

See Also
  mapidump_message, mapidump_contact, mapidump_task, mapidump_note

Examples:
  fetchappointment.c.

_PUBLIC_ void mapidump_contact | ( | struct mapi_SPropValue_array * | properties,
|  | const char * | id
| ) |  |

This function dumps the properties relating to a contact (address book entry) to standard output

The expected way to obtain the properties array is to use OpenMessage() to obtain the contact object, then to use GetPropsAll() to obtain all the properties.

Parameters

  properties | array of contact properties
  id | identification to display for the contact (can be NULL)

See Also
  mapidump_message, mapidump_appointment, mapidump_task, mapidump_note

_PUBLIC_ void mapidump_date_SPropValue | ( | struct SPropValue | lpProp,
|  | const char * | label,
|  | const char * | sep
| ) |  |

This function dumps a property containing a date / time to standard output

If the property does not contain a PT_SYSTIME type value, then no output will occur.

Parameters

  lpProp | the property to dump
  label | the label to display prior to the time (e.g. the property tag)
  sep | a separator / spacer to insert in front of the label

Note
  Prior to OpenChange 0.9, this function took 2 arguments, assuming a default separator of a tab. You can get the old behaviour by using "\t" for sep.

Referenced by mapidump_SPropValue().

_PUBLIC_ void mapidump_languages_list | ( | void |  | ) |

print the list of languages OpenChange supports

_PUBLIC_ void mapidump_message | ( | struct mapi_SPropValue_array * | properties,
|  | const char * | id,
|  | mapi_object_t * | obj_msg
| ) |  |

This function dumps the properties relating to an email message to standard output

The expected way to obtain the properties array is to use OpenMessage() to obtain the message object, then to use GetPropsAll() to obtain all the properties.

Parameters

  properties | array of message properties
  id | identification to display for the message (can be NULL)
  obj_msg | pointer to the message MAPI object (can be NULL)

See Also
  mapidump_appointment, mapidump_contact, mapidump_task, mapidump_note

Examples:
  fetchmail.c.

References mapidump_message_summary().

_PUBLIC_ void mapidump_message_summary | ( | mapi_object_t * | obj_message | ) |

This function dumps message information retrieved from OpenMessage call. It provides a quick method to print message summaries with information such as subject and recipients.

Parameters

  obj_message | pointer to the MAPI message object to use

Referenced by mapidump_message().

_PUBLIC_ void mapidump_note | ( | struct mapi_SPropValue_array * | properties,
|  | const char * | id
| ) |  |

This function dumps the properties relating to a note to standard output

The expected way to obtain the properties array is to use OpenMessage() to obtain the note object, then to use GetPropsAll() to obtain all the properties.

Parameters

  properties | array of note properties
  id | identification to display for the note (can be NULL)

See Also
  mapidump_message, mapidump_appointment, mapidump_contact, mapidump_task

_PUBLIC_ void mapidump_PAB_entry | ( | struct PropertyRow_r * | aRow | ) |

Output a row of the public address book.

Parameters

  aRow | one row of the public address book (Global Address List)

This function is usually used with GetGALTable, which can obtain several rows at once - you'll need to iterate over the rows.

The SRow is assumed to contain entries for PR_ADDRTYPE_UNICODE, PR_DISPLAY_NAME_UNICODE, PR_EMAIL_ADDRESS_UNICODE and PR_ACCOUNT_UNICODE.

_PUBLIC_ void mapidump_SPropValue | ( | struct SPropValue | lpProp,
|  | const char * | sep
| ) |  |

Output one property tag and value.

Parameters

  lpProp | the property to print
  sep | a separator / spacer to insert in front of the label

References mapidump_date_SPropValue().

_PUBLIC_ void mapidump_task | ( | struct mapi_SPropValue_array * | properties,
|  | const char * | id
| ) |  |

This function dumps the properties relating to a task (to-do list entry) to standard output

The expected way to obtain the properties array is to use OpenMessage() to obtain the task object, then to use GetPropsAll() to obtain all the properties.

Parameters

  properties | array of task properties
  id | identification to display for the task (can be NULL)

See Also
  mapidump_message, mapidump_appointment, mapidump_contact, mapidump_note

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/